Package be.fgov.ehealth.hubservices.core.v2

# Class RequestType

java.lang.Object
be.fgov.ehealth.hubservices.core.v2.RequestType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:12:47+02:00", comments="JAXB RI v4.0.5") public class RequestType extends Object implements Serializable

Java class for RequestType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="RequestType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="id" type="{http://www.ehealth.fgov.be/standards/kmehr/id/v1}ID-KMEHR"/>
             <element name="author" type="{http://www.ehealth.fgov.be/hubservices/core/v2}AuthorWithPatientAndPersonType"/>
             <element name="date" type="{http://www.w3.org/2001/XMLSchema}date"/>
             <element name="time" type="{http://www.w3.org/2001/XMLSchema}time"/>
             <element name="maxrows" type="{http://www.w3.org/2001/XMLSchema}decimal" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RequestType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AuthorWithPatientAndPersonType`
  `getAuthor()`
  Gets the value of the author property.
  `Instant`
  `getDate()`
  Gets the value of the date property.
  `IDKMEHR`
  `getId()`
  Gets the value of the id property.
  `BigDecimal`
  `getMaxrows()`
  Gets the value of the maxrows property.
  `Instant`
  `getTime()`
  Gets the value of the time property.
  `void`
  `setAuthor(AuthorWithPatientAndPersonType value)`
  Sets the value of the author property.
  `void`
  `setDate(Instant value)`
  Sets the value of the date property.
  `void`
  `setId(IDKMEHR value)`
  Sets the value of the id property.
  `void`
  `setMaxrows(BigDecimal value)`
  Sets the value of the maxrows property.
  `void`
  `setTime(Instant value)`
  Sets the value of the time property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RequestType

    public RequestType()

- ## Method Details

  - ### getId

    public IDKMEHR getId()
    Gets the value of the id property.
    Returns:
      possible object is `IDKMEHR`

  - ### setId

    public void setId(IDKMEHR value)
    Sets the value of the id property.
    Parameters:
      `value` - allowed object is `IDKMEHR`

  - ### getAuthor

    public AuthorWithPatientAndPersonType getAuthor()
    Gets the value of the author property.
    Returns:
      possible object is `AuthorWithPatientAndPersonType`

  - ### setAuthor

    public void setAuthor(AuthorWithPatientAndPersonType value)
    Sets the value of the author property.
    Parameters:
      `value` - allowed object is `AuthorWithPatientAndPersonType`

  - ### getDate

    public Instant getDate()
    Gets the value of the date property.
    Returns:
      possible object is `String`

  - ### setDate

    public void setDate(Instant value)
    Sets the value of the date property.
    Parameters:
      `value` - allowed object is `String`

  - ### getTime

    public Instant getTime()
    Gets the value of the time property.
    Returns:
      possible object is `String`

  - ### setTime

    public void setTime(Instant value)
    Sets the value of the time property.
    Parameters:
      `value` - allowed object is `String`

  - ### getMaxrows

    public BigDecimal getMaxrows()
    Gets the value of the maxrows property.
    Returns:
      possible object is `BigDecimal`

  - ### setMaxrows

    public void setMaxrows(BigDecimal value)
    Sets the value of the maxrows property.
    Parameters:
      `value` - allowed object is `BigDecimal`